ToolzerHub Docs

Get title details (v1)

Get a movie, show or episode's rating and votes, plot, genres, runtime, release date, cast and crew, box office, awards, photos and trailers. An unknown title_id_or_url returns data: null.

1 credit / requestBilled only on success
GET
/v1/imdb/title

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

title_id_or_url*string

The title_id from a search result, or the title's imdb.com link, such as https://www.imdb.com/title/tt0111161/.

Lengthlength <= 1000
curl -X GET "https://example.com/v1/imdb/title?title_id_or_url=tt0111161" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "title_id": "tt0111161",    "url": "https://www.imdb.com/title/tt0111161/",    "title": "The Shawshank Redemption",    "original_title": "The Shawshank Redemption",    "type": "movie",    "type_label": "Movie",    "is_series": true,    "year": 1994,    "end_year": null,    "rating": 9.3,    "votes": 3261639,    "image": {      "url": "https://m.media-amazon.com/images/M/MV5BMDAyY2FhYjctNDc5OS00MDNlLThiMGUtY2UxYWVkNGY2ZjljXkEyXkFqcGc@._V1_.jpg",      "width": 1200,      "height": 1800    },    "is_episode": true,    "release_date": "1994-10-14",    "release_country": {      "code": "US",      "name": "United States"    },    "runtime_minutes": 142,    "certificate": "R",    "certificate_reason": "Rated R for language and prison violence",    "genres": [      "Drama"    ],    "keywords": [      "prison",      "escape from prison"    ],    "plot": "string",    "popularity_rank": 71,    "popularity_change": -22,    "metascore": 82,    "metacritic_reviews": 22,    "images": {      "total": 563,      "items": [        {          "url": "https://m.media-amazon.com/images/M/MV5BMDAyY2FhYjctNDc5OS00MDNlLThiMGUtY2UxYWVkNGY2ZjljXkEyXkFqcGc@._V1_.jpg",          "width": 1200,          "height": 1800,          "caption": "string"        }      ]    },    "videos": [      {        "video_id": "vi3877612057",        "url": "https://www.imdb.com/video/vi3877612057/",        "name": "Official Trailer",        "type": "Trailer",        "duration_seconds": 131      }    ],    "countries": [      {        "code": "US",        "name": "United States"      }    ],    "languages": [      {        "code": "US",        "name": "United States"      }    ],    "filming_locations": [      "string"    ],    "production_companies": [      {        "company_id": "co0040620",        "name": "string"      }    ],    "box_office": {      "budget": {        "amount": 25000000,        "currency": "USD"      },      "gross_domestic": {        "amount": 25000000,        "currency": "USD"      },      "gross_worldwide": {        "amount": 25000000,        "currency": "USD"      },      "opening_weekend_domestic": {        "amount": 25000000,        "currency": "USD"      },      "opening_weekend_end": "1994-09-25"    },    "directors": [      {        "person_id": "nm0001104",        "name": "Frank Darabont"      }    ],    "writers": [      {        "person_id": "nm0001104",        "name": "Frank Darabont"      }    ],    "creators": [      {        "person_id": "nm0001104",        "name": "Frank Darabont"      }    ],    "stars": [      {        "person_id": "nm0001104",        "name": "Frank Darabont"      }    ],    "cast": {      "total": 74,      "items": [        {          "person_id": "nm0000209",          "name": "Tim Robbins",          "characters": [            "Andy Dufresne"          ],          "image": {            "url": "https://m.media-amazon.com/images/M/MV5BMDAyY2FhYjctNDc5OS00MDNlLThiMGUtY2UxYWVkNGY2ZjljXkEyXkFqcGc@._V1_.jpg",            "width": 1200,            "height": 1800          }        }      ]    },    "seasons": [      1,      2,      3,      4,      5    ],    "series": {      "title_id": "tt0903747",      "title": "Breaking Bad",      "season": 1,      "episode": 1    },    "review_count": 12080,    "awards": {      "wins": 21,      "nominations": 64,      "top_award": {        "name": "Oscar",        "wins": 0,        "nominations": 7      }    },    "more_like_this": [      {        "title_id": "tt0111161",        "url": "https://www.imdb.com/title/tt0111161/",        "title": "The Shawshank Redemption",        "original_title": "The Shawshank Redemption",        "type": "movie",        "type_label": "Movie",        "is_series": true,        "year": 1994,        "end_year": null,        "rating": 9.3,        "votes": 3261639,        "image": {          "url": "https://m.media-amazon.com/images/M/MV5BMDAyY2FhYjctNDc5OS00MDNlLThiMGUtY2UxYWVkNGY2ZjljXkEyXkFqcGc@._V1_.jpg",          "width": 1200,          "height": 1800        }      }    ]  },  "details": {    "reason": "string",    "message": "string"  }}